Budget Request¶
Budget Request - Get Budget Request¶
HTTP Request
GET /api/budget-requests/{id}
📋 Description: Retrieves detailed information about a specific budget request identified by its unique ID, facilitating informed decision-making within portfolio and asset management processes.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Budget Request - Update Budget Request¶
HTTP Request
PUT /api/budget-requests/{id}
📋 Description: Updates an existing budget request identified by the specified ID, enabling users to modify financial allocations and enhance portfolio management within the Nakisa Portfolio Management Suite.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated budget request details, including financial allocations and relevant metadata for portfolio and asset management within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Budget Request - Delete Budget Request¶
HTTP Request
DELETE /api/budget-requests/{id}
📋 Description: Deletes a specified budget request from the Nakisa Portfolio Management Suite, enabling effective management of portfolio and asset allocations within real estate property analytics.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Budget Request - Reject Budget Request¶
HTTP Request
PUT /api/budget-requests/{id}/reject
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Budget Request - Accept Budget Request¶
HTTP Request
PUT /api/budget-requests/{id}/accept
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
none |
body |
body |
true |
none |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "requestedAmount": 0,
10 "currentBudgetAmount": 0,
11 "requesterComment": "string",
12 "approverComment": "string",
13 "statusId": 0,
14 "requestedDate": "2019-08-24",
15 "approvedDate": "2019-08-24",
16 "status": {
17 "createdBy": "string",
18 "lastModifiedBy": "string",
19 "createdDate": "2019-08-24T14:15:22Z",
20 "lastModifiedDate": "2019-08-24T14:15:22Z",
21 "archived": true,
22 "externalId": "string",
23 "id": 0,
24 "priority": 0,
25 "internalId": 0,
26 "pickListCode": "string",
27 "pickListLabel": "string",
28 "label": "string",
29 "cultureId": 0,
30 "labelDtos": [
31 {
32 "createdBy": "string",
33 "lastModifiedBy": "string",
34 "createdDate": "2019-08-24T14:15:22Z",
35 "lastModifiedDate": "2019-08-24T14:15:22Z",
36 "archived": true,
37 "externalId": "string",
38 "id": 0,
39 "cultureId": 0,
40 "value": "string"
41 }
42 ]
43 },
44 "requester": "string",
45 "approver": "string",
46 "projectId": 0,
47 "projectName": "string",
48 "projectDisplayId": "string",
49 "allocationList": [
50 {
51 "createdBy": "string",
52 "lastModifiedBy": "string",
53 "createdDate": "2019-08-24T14:15:22Z",
54 "lastModifiedDate": "2019-08-24T14:15:22Z",
55 "archived": true,
56 "externalId": "string",
57 "id": 0,
58 "allocatedAmount": 0,
59 "projectId": 0,
60 "projectName": "string",
61 "projectDisplayId": "string",
62 "budgetId": 0,
63 "budgetDto": {
64 "createdBy": "string",
65 "lastModifiedBy": "string",
66 "createdDate": "2019-08-24T14:15:22Z",
67 "lastModifiedDate": "2019-08-24T14:15:22Z",
68 "archived": true,
69 "externalId": "string",
70 "id": 0,
71 "name": "string",
72 "startDate": "2019-08-24",
73 "dueDate": "2019-08-24",
74 "departmentId": 0,
75 "statusId": 0,
76 "totalBudgetAmount": 0,
77 "allocatedBudgetAmount": 0,
78 "owner": "string",
79 "status": {
80 "createdBy": "string",
81 "lastModifiedBy": "string",
82 "createdDate": "2019-08-24T14:15:22Z",
83 "lastModifiedDate": "2019-08-24T14:15:22Z",
84 "archived": true,
85 "externalId": "string",
86 "id": 0,
87 "priority": 0,
88 "internalId": 0,
89 "pickListCode": "string",
90 "pickListLabel": "string",
91 "label": "string",
92 "cultureId": 0,
93 "labelDtos": [
94 {
95 "createdBy": "string",
96 "lastModifiedBy": "string",
97 "createdDate": "2019-08-24T14:15:22Z",
98 "lastModifiedDate": "2019-08-24T14:15:22Z",
99 "archived": true,
100 "externalId": "string",
101 "id": 0,
102 "cultureId": 0,
103 "value": "string"
104 }
105 ]
106 },
107 "department": {
108 "createdBy": "string",
109 "lastModifiedBy": "string",
110 "createdDate": "2019-08-24T14:15:22Z",
111 "lastModifiedDate": "2019-08-24T14:15:22Z",
112 "archived": true,
113 "externalId": "string",
114 "id": 0,
115 "priority": 0,
116 "internalId": 0,
117 "pickListCode": "string",
118 "pickListLabel": "string",
119 "label": "string",
120 "cultureId": 0,
121 "labelDtos": [
122 {
123 "createdBy": "string",
124 "lastModifiedBy": "string",
125 "createdDate": "2019-08-24T14:15:22Z",
126 "lastModifiedDate": "2019-08-24T14:15:22Z",
127 "archived": true,
128 "externalId": "string",
129 "id": 0,
130 "cultureId": 0,
131 "value": "string"
132 }
133 ]
134 },
135 "nimBudgetLinkDtos": [
136 {
137 "createdBy": "string",
138 "lastModifiedBy": "string",
139 "createdDate": "2019-08-24T14:15:22Z",
140 "lastModifiedDate": "2019-08-24T14:15:22Z",
141 "archived": true,
142 "externalId": "string",
143 "id": 0,
144 "nimBudgetId": 0,
145 "nimInvestmentAreaId": 0,
146 "nimBudgetDto": {},
147 "nimBudgetInvestmentAreaDto": {
148 "id": 0,
149 "createdOn": "2019-08-24T14:15:22Z",
150 "createdById": "string",
151 "modifiedOn": "2019-08-24T14:15:22Z",
152 "modifiedById": "string",
153 "createdByName": "string",
154 "lastModifiedByName": "string",
155 "amount": 0,
156 "originalCurrencyId": 0,
157 "originalCurrencyDisplayId": "string",
158 "originalAmount": 0,
159 "rate": 0,
160 "rateDate": "2019-08-24",
161 "investmentAreaId": 0,
162 "investmentArea": {
163 "id": 0,
164 "createdOn": "2019-08-24T14:15:22Z",
165 "createdById": "string",
166 "modifiedOn": "2019-08-24T14:15:22Z",
167 "modifiedById": "string",
168 "createdByName": "string",
169 "lastModifiedByName": "string",
170 "displayId": "string",
171 "name": "string",
172 "assetClasses": [
173 0
174 ]
175 },
176 "budgetYearDistributions": [
177 {
178 "id": 0,
179 "createdOn": "2019-08-24T14:15:22Z",
180 "createdById": "string",
181 "modifiedOn": "2019-08-24T14:15:22Z",
182 "modifiedById": "string",
183 "createdByName": "string",
184 "lastModifiedByName": "string",
185 "year": 0,
186 "amount": 0,
187 "originalCurrencyId": 0,
188 "originalCurrencyDisplayId": "string",
189 "originalAmount": 0,
190 "rate": 0,
191 "rateDate": "2019-08-24",
192 "spent": 0,
193 "budgetInvestmentAreaId": 0
194 }
195 ],
196 "investmentRequest": {
197 "id": 0,
198 "createdOn": "2019-08-24T14:15:22Z",
199 "createdById": "string",
200 "modifiedOn": "2019-08-24T14:15:22Z",
201 "modifiedById": "string",
202 "createdByName": "string",
203 "lastModifiedByName": "string",
204 "requestedAmount": 0,
205 "companyCurrency": "string",
206 "investmentAreaIds": [
207 0
208 ],
209 "requestCategoryId": 0,
210 "displayId": "string",
211 "leaseAreaId": 0,
212 "leaseAreaDisplayId": "string",
213 "leaseAreaName": "string",
214 "businessUnitId": 0,
215 "businessUnitDisplayId": "string",
216 "companyId": 0,
217 "companyDisplayId": "string",
218 "departmentId": 0,
219 "departmentDisplayId": "string",
220 "title": "string",
221 "investmentCurrencyId": 0,
222 "investmentCurrencyDisplayId": "string",
223 "companyCurrencyId": 0,
224 "companyCurrencyDisplayId": "string",
225 "reportingCurrencyId": 0,
226 "reportingCurrencyDisplayId": "string",
227 "masterInvestmentRequestId": 0,
228 "inceptionExchangeRate": 0,
229 "exchangeRateValidFrom": "2019-08-24",
230 "weightedAverageExchangeRate": 0,
231 "status": "DRAFT",
232 "workflowStepName": "string",
233 "description": "string",
234 "justification": "string",
235 "totalRequestedAmount": 0,
236 "totalExpense": 0,
237 "totalSpent": 0,
238 "originalRequestedAmount": 0,
239 "modifiedAmount": 0,
240 "currentAvailable": 0,
241 "modificationId": 0,
242 "requestCategory": {
243 "id": 0,
244 "createdOn": "2019-08-24T14:15:22Z",
245 "createdById": "string",
246 "modifiedOn": "2019-08-24T14:15:22Z",
247 "modifiedById": "string",
248 "createdByName": "string",
249 "lastModifiedByName": "string",
250 "displayId": "string",
251 "title": "string",
252 "subTitle": "string",
253 "icon": "string",
254 "budgetTitle": "string",
255 "budgetSubTitle": "string",
256 "investmentTitle": "string",
257 "investmentSubTitle": "string"
258 },
259 "expectedInitiationDate": "2019-08-24",
260 "expectedCompletionDate": "2019-08-24",
261 "actualInitiationDate": "2019-08-24",
262 "actualCompletionDate": "2019-08-24",
263 "requestUrgency": "string",
264 "leaseArea": {
265 "id": 0,
266 "status": "CREATED",
267 "displayId": "string",
268 "name": "string",
269 "businessUnitId": 0
270 },
271 "businessUnit": {
272 "id": 0,
273 "status": "CREATED",
274 "displayId": "string",
275 "name": "string",
276 "leaseAreaId": 0,
277 "companyId": 0
278 },
279 "company": {
280 "id": 0,
281 "status": "CREATED",
282 "displayId": "string",
283 "erpSystemId": 0,
284 "erpSystemDisplayId": "string",
285 "countryId": 0,
286 "countryDisplayId": "string",
287 "postingPeriodVariantId": 0,
288 "name": "string",
289 "postingPeriodVariantDisplayId": "string",
290 "controllingAreaId": 0,
291 "controllingAreaDisplayId": "string",
292 "chartOfAccountId": 0,
293 "chartOfAccountDisplayId": "string",
294 "fiscalVariantId": 0,
295 "fiscalVariantDisplayId": "string",
296 "chartOfDepreciationId": 0,
297 "chartOfDepreciationDisplayId": "string",
298 "purchasingOrganizationId": 0,
299 "assetId": 0,
300 "exchangeRateTypeId": 0,
301 "plantId": 0,
302 "incrementalBorrowingRateId": 0,
303 "businessUnitId": 0,
304 "projectId": 0,
305 "transferVariantId": 0,
306 "partnerId": 0,
307 "departmentId": 0,
308 "accountingStandardId": 0,
309 "generalLedgerAccountId": 0,
310 "consumerPriceIndexCategoryId": 0,
311 "costCenterId": 0,
312 "costCenterRelationValidFrom": "2019-08-24",
313 "costCenterRelationValidTo": "2019-08-24"
314 },
315 "department": {
316 "id": 0,
317 "status": "CREATED",
318 "displayId": "string",
319 "name": "string",
320 "companyId": 0,
321 "leaseGroupId": 0
322 },
323 "linkedBudgets": [
324 {
325 "id": 0,
326 "createdOn": "2019-08-24T14:15:22Z",
327 "createdById": "string",
328 "modifiedOn": "2019-08-24T14:15:22Z",
329 "modifiedById": "string",
330 "createdByName": "string",
331 "lastModifiedByName": "string",
332 "requestCategoryId": 0,
333 "year": 0,
334 "displayId": "string",
335 "project": "string",
336 "requestCategory": {}
337 }
338 ],
339 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
340 0
341 ]
342 },
343 "investmentRequests": [
344 {
345 "id": 0,
346 "createdOn": "2019-08-24T14:15:22Z",
347 "createdById": "string",
348 "modifiedOn": "2019-08-24T14:15:22Z",
349 "modifiedById": "string",
350 "createdByName": "string",
351 "lastModifiedByName": "string",
352 "requestedAmount": 0,
353 "companyCurrency": "string",
354 "investmentAreaIds": [
355 0
356 ],
357 "requestCategoryId": 0,
358 "displayId": "string",
359 "leaseAreaId": 0,
360 "leaseAreaDisplayId": "string",
361 "leaseAreaName": "string",
362 "businessUnitId": 0,
363 "businessUnitDisplayId": "string",
364 "companyId": 0,
365 "companyDisplayId": "string",
366 "departmentId": 0,
367 "departmentDisplayId": "string",
368 "title": "string",
369 "investmentCurrencyId": 0,
370 "investmentCurrencyDisplayId": "string",
371 "companyCurrencyId": 0,
372 "companyCurrencyDisplayId": "string",
373 "reportingCurrencyId": 0,
374 "reportingCurrencyDisplayId": "string",
375 "masterInvestmentRequestId": 0,
376 "inceptionExchangeRate": 0,
377 "exchangeRateValidFrom": "2019-08-24",
378 "weightedAverageExchangeRate": 0,
379 "status": "DRAFT",
380 "workflowStepName": "string",
381 "description": "string",
382 "justification": "string",
383 "totalRequestedAmount": 0,
384 "totalExpense": 0,
385 "totalSpent": 0,
386 "originalRequestedAmount": 0,
387 "modifiedAmount": 0,
388 "currentAvailable": 0,
389 "modificationId": 0,
390 "requestCategory": {
391 "id": 0,
392 "createdOn": "2019-08-24T14:15:22Z",
393 "createdById": "string",
394 "modifiedOn": "2019-08-24T14:15:22Z",
395 "modifiedById": "string",
396 "createdByName": "string",
397 "lastModifiedByName": "string",
398 "displayId": "string",
399 "title": "string",
400 "subTitle": "string",
401 "icon": "string",
402 "budgetTitle": "string",
403 "budgetSubTitle": "string",
404 "investmentTitle": "string",
405 "investmentSubTitle": "string"
406 },
407 "expectedInitiationDate": "2019-08-24",
408 "expectedCompletionDate": "2019-08-24",
409 "actualInitiationDate": "2019-08-24",
410 "actualCompletionDate": "2019-08-24",
411 "requestUrgency": "string",
412 "leaseArea": {
413 "id": 0,
414 "status": "CREATED",
415 "displayId": "string",
416 "name": "string",
417 "businessUnitId": 0
418 },
419 "businessUnit": {
420 "id": 0,
421 "status": "CREATED",
422 "displayId": "string",
423 "name": "string",
424 "leaseAreaId": 0,
425 "companyId": 0
426 },
427 "company": {
428 "id": 0,
429 "status": "CREATED",
430 "displayId": "string",
431 "erpSystemId": 0,
432 "erpSystemDisplayId": "string",
433 "countryId": 0,
434 "countryDisplayId": "string",
435 "postingPeriodVariantId": 0,
436 "name": "string",
437 "postingPeriodVariantDisplayId": "string",
438 "controllingAreaId": 0,
439 "controllingAreaDisplayId": "string",
440 "chartOfAccountId": 0,
441 "chartOfAccountDisplayId": "string",
442 "fiscalVariantId": 0,
443 "fiscalVariantDisplayId": "string",
444 "chartOfDepreciationId": 0,
445 "chartOfDepreciationDisplayId": "string",
446 "purchasingOrganizationId": 0,
447 "assetId": 0,
448 "exchangeRateTypeId": 0,
449 "plantId": 0,
450 "incrementalBorrowingRateId": 0,
451 "businessUnitId": 0,
452 "projectId": 0,
453 "transferVariantId": 0,
454 "partnerId": 0,
455 "departmentId": 0,
456 "accountingStandardId": 0,
457 "generalLedgerAccountId": 0,
458 "consumerPriceIndexCategoryId": 0,
459 "costCenterId": 0,
460 "costCenterRelationValidFrom": "2019-08-24",
461 "costCenterRelationValidTo": "2019-08-24"
462 },
463 "department": {
464 "id": 0,
465 "status": "CREATED",
466 "displayId": "string",
467 "name": "string",
468 "companyId": 0,
469 "leaseGroupId": 0
470 },
471 "linkedBudgets": [
472 {}
473 ],
474 "investmentRequestToInvestmentAreaIdsLinkedToBudget": [
475 0
476 ]
477 }
478 ],
479 "totalSpent": 0,
480 "totalReserved": 0,
481 "budgetBalance": 0
482 },
483 "nimInvestmentAreaDto": {
484 "id": 0,
485 "createdOn": "2019-08-24T14:15:22Z",
486 "createdById": "string",
487 "modifiedOn": "2019-08-24T14:15:22Z",
488 "modifiedById": "string",
489 "createdByName": "string",
490 "lastModifiedByName": "string",
491 "displayId": "string",
492 "name": "string",
493 "assetClasses": [
494 0
495 ]
496 }
497 }
498 ]
499 }
500 }
501 ]
502}
Budget Request - Get Budget Requests¶
HTTP Request
GET /api/budget-requests
📋 Description: Fetches a list of budget requests related to portfolio and asset management, enabling users to analyze financial allocations within real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the budget requests query should be returned in a paginated format, facilitating efficient data retrieval for portfolio and asset management analytics. |
|
listing |
query |
boolean |
false |
Indicates whether to include detailed asset listings in the budget request response, enhancing analytics for portfolio and real estate property management. |
archived |
query |
string |
false |
Indicates whether to retrieve budget requests that have been archived, providing insights into historical financial data relevant to portfolio and asset management. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "budgetRequests": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "requestedAmount": 0,
13 "currentBudgetAmount": 0,
14 "requesterComment": "string",
15 "approverComment": "string",
16 "statusId": 0,
17 "requestedDate": "2019-08-24",
18 "approvedDate": "2019-08-24",
19 "status": {
20 "createdBy": "string",
21 "lastModifiedBy": "string",
22 "createdDate": "2019-08-24T14:15:22Z",
23 "lastModifiedDate": "2019-08-24T14:15:22Z",
24 "archived": true,
25 "externalId": "string",
26 "id": 0,
27 "priority": 0,
28 "internalId": 0,
29 "pickListCode": "string",
30 "pickListLabel": "string",
31 "label": "string",
32 "cultureId": 0,
33 "labelDtos": [
34 {
35 "createdBy": "string",
36 "lastModifiedBy": "string",
37 "createdDate": "2019-08-24T14:15:22Z",
38 "lastModifiedDate": "2019-08-24T14:15:22Z",
39 "archived": true,
40 "externalId": "string",
41 "id": 0,
42 "cultureId": 0,
43 "value": "string"
44 }
45 ]
46 },
47 "requester": "string",
48 "approver": "string",
49 "projectId": 0,
50 "projectName": "string",
51 "projectDisplayId": "string",
52 "allocationList": [
53 {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "allocatedAmount": 0,
62 "projectId": 0,
63 "projectName": "string",
64 "projectDisplayId": "string",
65 "budgetId": 0,
66 "budgetDto": {
67 "createdBy": "string",
68 "lastModifiedBy": "string",
69 "createdDate": "2019-08-24T14:15:22Z",
70 "lastModifiedDate": "2019-08-24T14:15:22Z",
71 "archived": true,
72 "externalId": "string",
73 "id": 0,
74 "name": "string",
75 "startDate": "2019-08-24",
76 "dueDate": "2019-08-24",
77 "departmentId": 0,
78 "statusId": 0,
79 "totalBudgetAmount": 0,
80 "allocatedBudgetAmount": 0,
81 "owner": "string",
82 "status": {
83 "createdBy": "string",
84 "lastModifiedBy": "string",
85 "createdDate": "2019-08-24T14:15:22Z",
86 "lastModifiedDate": "2019-08-24T14:15:22Z",
87 "archived": true,
88 "externalId": "string",
89 "id": 0,
90 "priority": 0,
91 "internalId": 0,
92 "pickListCode": "string",
93 "pickListLabel": "string",
94 "label": "string",
95 "cultureId": 0,
96 "labelDtos": [
97 {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "cultureId": 0,
106 "value": "string"
107 }
108 ]
109 },
110 "department": {
111 "createdBy": "string",
112 "lastModifiedBy": "string",
113 "createdDate": "2019-08-24T14:15:22Z",
114 "lastModifiedDate": "2019-08-24T14:15:22Z",
115 "archived": true,
116 "externalId": "string",
117 "id": 0,
118 "priority": 0,
119 "internalId": 0,
120 "pickListCode": "string",
121 "pickListLabel": "string",
122 "label": "string",
123 "cultureId": 0,
124 "labelDtos": [
125 {
126 "createdBy": "string",
127 "lastModifiedBy": "string",
128 "createdDate": "2019-08-24T14:15:22Z",
129 "lastModifiedDate": "2019-08-24T14:15:22Z",
130 "archived": true,
131 "externalId": "string",
132 "id": 0,
133 "cultureId": 0,
134 "value": "string"
135 }
136 ]
137 },
138 "nimBudgetLinkDtos": [
139 {
140 "createdBy": "string",
141 "lastModifiedBy": "string",
142 "createdDate": "2019-08-24T14:15:22Z",
143 "lastModifiedDate": "2019-08-24T14:15:22Z",
144 "archived": true,
145 "externalId": "string",
146 "id": 0,
147 "nimBudgetId": 0,
148 "nimInvestmentAreaId": 0,
149 "nimBudgetDto": {},
150 "nimBudgetInvestmentAreaDto": {
151 "id": 0,
152 "createdOn": "2019-08-24T14:15:22Z",
153 "createdById": "string",
154 "modifiedOn": "2019-08-24T14:15:22Z",
155 "modifiedById": "string",
156 "createdByName": "string",
157 "lastModifiedByName": "string",
158 "amount": 0,
159 "originalCurrencyId": 0,
160 "originalCurrencyDisplayId": "string",
161 "originalAmount": 0,
162 "rate": 0,
163 "rateDate": "2019-08-24",
164 "investmentAreaId": 0,
165 "investmentArea": {},
166 "budgetYearDistributions": [],
167 "investmentRequest": {},
168 "investmentRequests": [],
169 "totalSpent": 0,
170 "totalReserved": 0,
171 "budgetBalance": 0
172 },
173 "nimInvestmentAreaDto": {
174 "id": 0,
175 "createdOn": "2019-08-24T14:15:22Z",
176 "createdById": "string",
177 "modifiedOn": "2019-08-24T14:15:22Z",
178 "modifiedById": "string",
179 "createdByName": "string",
180 "lastModifiedByName": "string",
181 "displayId": "string",
182 "name": "string",
183 "assetClasses": []
184 }
185 }
186 ]
187 }
188 }
189 ]
190 }
191 ]
192 },
193 "page": {
194 "size": 0,
195 "totalElements": 0,
196 "totalPages": 0,
197 "number": 0
198 }
199}
Budget Request - Create Budget Request¶
HTTP Request
POST /api/budget-requests
📋 Description: Creates a new budget request within the Nakisa Portfolio Management Suite, enabling users to allocate financial resources effectively for portfolio and asset management in real estate properties.
Parameters
Name |
[...]
